# PhasicFlow: src/phasicFlow/globals/error.cpp File Reference

error.cpp File Reference
Include dependency graph for error.cpp:

Go to the source code of this file.

## Functions

pFlow::iOstream & | fatalErrorMessage (const char *fileName, int linNumber)
pFlow::iOstream & | fatalErrorInMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | notImplementedErrorMessage (const char *fnName, const char *fileName, int lineNumber)
pFlow::iOstream & | ioErrorMessage (const char *fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | ioErrorMessage (const pFlow::word &fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | warningMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | reportAndExit ()

## Variables

static pFlow::Ostream & | errorStream = pFlow::errReport

## Function Documentation

## fatalErrorMessage()

pFlow::iOstream& fatalErrorMessage | ( | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 31 of file error.cpp.

References errorStream, and redText.

## fatalErrorInMessage()

pFlow::iOstream& fatalErrorInMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 41 of file error.cpp.

References errorStream, and redText.

## notImplementedErrorMessage()

pFlow::iOstream& notImplementedErrorMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | lineNumber
| ) |  |

Definition at line 51 of file error.cpp.

References errorStream, and redText.

## ioErrorMessage() [1/2]

pFlow::iOstream& ioErrorMessage | ( | const char * | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 62 of file error.cpp.

References errorStream, and redText.

Referenced by ioErrorMessage().

Here is the caller graph for this function:

## ioErrorMessage() [2/2]

pFlow::iOstream& ioErrorMessage | ( | const pFlow::word & | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 73 of file error.cpp.

References ioErrorMessage().

Here is the call graph for this function:

## warningMessage()

pFlow::iOstream& warningMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 79 of file error.cpp.

References errorStream, and yellowText.

## reportAndExit()

pFlow::iOstream& reportAndExit | ( |  | ) |

Definition at line 89 of file error.cpp.

References pFlow::endl(), and errorStream.

Here is the call graph for this function:

## Variable Documentation

## errorStream

pFlow::Ostream& errorStream = pFlow::errReport

static

Definition at line 28 of file error.cpp.

Referenced by fatalErrorInMessage(), fatalErrorMessage(), ioErrorMessage(), notImplementedErrorMessage(), reportAndExit(), and warningMessage().